Author:     Noah Misch <noah@leadboat.com>
Commit:     Noah Misch <noah@leadboat.com>

    For ppc gcc, implement 64-bit compare_exchange and fetch_add with asm.
    
    While xlc defines __64BIT__, gcc does not.  Due to this oversight in
    commit 30ee5d17c20dbb282a9952b3048d6ad52d56c371, gcc builds continued
    implementing 64-bit atomics by way of intrinsics.
    
    Reviewed by FIXME.
    
    Discussion: https://postgr.es/m/FIXME

diff --git a/src/include/port/atomics/arch-ppc.h b/src/include/port/atomics/arch-ppc.h
index fdfe0d0..68e6603 100644
--- a/src/include/port/atomics/arch-ppc.h
+++ b/src/include/port/atomics/arch-ppc.h
@@ -32,14 +32,14 @@ typedef struct pg_atomic_uint32
 } pg_atomic_uint32;
 
 /* 64bit atomics are only supported in 64bit mode */
-#ifdef __64BIT__
+#if SIZEOF_VOID_P >= 8
 #define PG_HAVE_ATOMIC_U64_SUPPORT
 typedef struct pg_atomic_uint64
 {
 	volatile uint64 value pg_attribute_aligned(8);
 } pg_atomic_uint64;
 
-#endif /* __64BIT__ */
+#endif
 
 /*
  * This mimics gcc __atomic_compare_exchange_n(..., __ATOMIC_SEQ_CST), but
